org.apache.poi.hemf.record.emf

## Class HemfComment.EmfCommentDataPlus

- java.lang.Object
- - org.apache.poi.hemf.record.emf.HemfComment.EmfCommentDataPlus

- All Implemented Interfaces:
    GenericRecord, HemfComment.EmfCommentData
  Enclosing class:
    HemfComment

      public static class HemfComment.EmfCommentDataPlus
      extends java.lang.Object
      implements HemfComment.EmfCommentData

  The EMR_COMMENT_EMFPLUS record contains embedded EMF+ records.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmfCommentDataPlus()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `draw(HemfGraphics ctx)` Apply the record settings to the graphics context
    `HemfComment.HemfCommentRecordType` | `getCommentRecordType()`
    `java.util.List<HemfPlusRecord>` | `getGenericChildren()`
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `java.util.List<HemfPlusRecord>` | `getRecords()`
    `long` | `init(LittleEndianInputStream leis, long dataSize)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.hemf.record.emf.HemfComment.EmfCommentData

      `getGenericRecordType`

- - ### Constructor Detail

    - #### EmfCommentDataPlus

          public EmfCommentDataPlus()

  - ### Method Detail

    - #### getCommentRecordType

          public HemfComment.HemfCommentRecordType getCommentRecordType()

      Specified by:
        `getCommentRecordType` in interface `HemfComment.EmfCommentData`

    - #### init

          public long init(LittleEndianInputStream leis,
                           long dataSize)
                    throws java.io.IOException

      Specified by:
        `init` in interface `HemfComment.EmfCommentData`
      Throws:
        `java.io.IOException`

    - #### getRecords

          public java.util.List<HemfPlusRecord> getRecords()

    - #### draw

          public void draw(HemfGraphics ctx)

      Description copied from interface: `HemfComment.EmfCommentData`
      Apply the record settings to the graphics context
      Specified by:
        `draw` in interface `HemfComment.EmfCommentData`
      Parameters:
        `ctx` - the graphics context to modify

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

      Specified by:
        `getGenericProperties` in interface `GenericRecord`

    - #### getGenericChildren

          public java.util.List<HemfPlusRecord> getGenericChildren()

      Specified by:
        `getGenericChildren` in interface `GenericRecord`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.